Bug 1460658 - Avoid one extra call of l(get|list)xattr system call after use buffer in posix_getxattr [NEEDINFO]
Avoid one extra call of l(get|list)xattr system call after use buffer in posi...
Status: NEW
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: posix (Show other bugs)
3.3
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mohit Agrawal
Rahul Hinduja
: ZStream
Depends On:
Blocks: 1460659
  Show dependency treegraph
 
Reported: 2017-06-12 06:58 EDT by Mohit Agrawal
Modified: 2017-06-28 05:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1460659 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
amukherj: needinfo? (pkarampu)


Attachments (Terms of Use)

  None (edit)
Description Mohit Agrawal 2017-06-12 06:58:07 EDT
Description of problem:
In posix xlator posix_(f)getxattr is calling system call(sys_lgetxattr) two times to fetch the xattr value, after use the buffer for first time calling we can avoid second attempt of calling system call(sys_lgetxattr) in posix_getxattr. 

Version-Release number of selected component (if applicable):

All version
How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Atin Mukherjee 2017-06-12 07:38:43 EDT
Isn't this an enhancement? If so, please mark it as RFE is the summary and move it to 3.3.0-beyond.
Comment 3 Atin Mukherjee 2017-06-13 04:50:19 EDT
Given this is an enhancement, the bug is deferred from rhgs-3.3.0

Note You need to log in before you can comment on or make changes to this bug.